Page MenuHomePhabricator

prototype Data and developer hub with Blueprint skin
Closed, ResolvedPublic

Description

This lets us move forward on T301: Define the look&feel of the Developer Hub, in T301#1237839 Qgil commented

After a couple of random conversations about this project, it is clear to me that potential readers and casual reviewers are conditioned by the mediawiki.org look&feel even before they read the title of the page.

I'll assess T93613: Deploy Blueprint on mediawiki.org as optional and experimental skin, but most likely I'll copy all the pages and templates onto a labs machine like http://livingstyleguide.wmflabs.org

Event Timeline

Spage created this task.May 5 2015, 4:34 PM
Spage raised the priority of this task from to Needs Triage.
Spage updated the task description. (Show Details)
Spage moved this task to Ready to Go on the ECT-May-2015 board.
Spage added a subscriber: Spage.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 5 2015, 4:34 PM
Spage updated the task description. (Show Details)May 5 2015, 4:37 PM
Spage set Security to None.
Spage moved this task from Ready to Go to Doing on the ECT-May-2015 board.May 12 2015, 4:09 PM
Spage moved this task from Supporting documentation to Tech on the Web-APIs-Hub board.
Qgil assigned this task to Spage.May 19 2015, 4:12 PM
Qgil added a subscriber: Qgil.
Spage closed this task as Resolved.Jun 2 2015, 4:45 AM

Prototype is at http://devhub.wmflabs.org/wiki/Dev:Data_and_developer_hub!
I customized $wgBlueprintLeftNav from hardcoded LivingStyleguide contents.
As I feared, it's a PITA to reconstitute all of mediawiki.org's features (notes at Duplicating mediawiki.org) but it was easier than pushing T93613: Deploy Blueprint on mediawiki.org as optional and experimental skin and T98897: Deploy SkinPerNamespace extension on mediawiki.org.

Hey S,
now coming back to this email after a day of intense work with all stuff
Blueprint.
From your list from your talk page, is there anything not in Phabricator
yet with umbrella task T93613: Deploy Blueprint on mediawiki.org?

Thanks and have a great weekend,
Volker